LS(1)

NAZWA
ls - wypisuje zawartość katalogu

SKŁADNIA
ls [OPCJA]... [PLIK]...

OPIS

Wypisuje informacje o PLIKACH (domyślnie - o bieżącym katalogu). Sortuje wpisy alfabetycznie, jeżeli nie podano żadnej z opcji -cftuvSUX ani --sort.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --all
    bez ukrywania plików zaczynających się od .

-A, --almost-all
    bez pokazywania . ani ..

--author
    z opcją -l: wyświetla autora każdego pliku

-b, --escape
    cytuje znaki niegraficzne w stylu języka C (ósemkowo)

--block-size=ROZMIAR
    with -l, scale sizes by SIZE when printing them; e.g., '--block-size=M'; see SIZE format below

-B, --ignore-backups
    nie wyświetla plików kończących się znakiem ~

-c
     z -lt:sortuje wyniki wg ctime (czasu ostatniej modyfikacji danych o pliku) i wypisuje go;
     z -l: sortuje wyniki według nazwy i wypisuje ctime;
     w pozostałych przypadkach: sortuje według ctime, poczynając od najnowszych plików

-C  wypisuje pliki w kolumnach

--color[=KIEDY]
    koloruje wyniki. KIEDY może przyjąć wartości: always (domyślne, jeśli nie podano), auto lub never. Więcej informacji znajduje się poniżej

-d, --directory
    wypisuje same katalogi, nie ich zawartość

-D, --dired
    tworzy dane wyjściowe dla trybu dired Emacsa

-f  nie sortuje, włącza -aU, wyłącza -ls --color

-F, --classify
    dodaje znak wskazujący typ wpisu (jeden z następujących: */=>@|)

--file-type
    podobnie, lecz nie używa *

--format=SŁOWO
    across odpowiada -x (poziomo), commas -m (oddzielone przecinkami), horizontal -x (poziomo), long -l (długi, z dodatkowymi informacjami), single-column -1 (w jednej kolumnie), verbose -l (długi, z dodatkowymi informacjami), vertical -C (pionowy, w kolumnach)

--full-time
    jak -l --time-style=full-iso

-g  jak -l, ale nie wypisuje właściciela

--group-directories-first
    grupuje najpierw katalogi;

    ta opcja może być uzupełniona opcją --sort, ale wyłącza ją użycie opcji --sort=none (-U)

-G, --no-group
    w długim formacie, nie pokazuje informacji o grupach

-h, --human-readable
    with -l and -s, print sizes like 1K 234M 2G etc.

--si
    podobnie, ale używa potęg 1000 zamiast 1024

-H, --dereference-command-line
    podąża za dowiązaniami symbolicznymi podanymi w wierszu poleceń

--dereference-command-line-symlink-to-dir
    podąża za każdym dowiązaniem symbolicznym

    wskazującym na katalog

--hide=WZORZEC
    nie pokazuje wpisów pasujących do WZORCA powłoki (wyłączane przez -a lub -A)

--hyperlink[=KIEDY]
    hyperlink file names; WHEN can be 'always' (default if omitted), 'auto', or 'never'

--indicator-style=SŁOWO
    dodaje wskaźniki typów plików stylu SŁOWO: none (domyślnie - brak), slash (-p), file-type (--file-type), classify (-F)

-i, --inode
    wyświetla numer i-węzła każdego pliku

-I, --ignore=WZORZEC
    nie pokazuje plików pasujących do WZORCA powłoki

-k, --kibibytes
    default to 1024-byte blocks for disk usage; used only with -s and per directory totals

-l  używa długiego formatu wyjściowego

-L, --dereference
    podczas pokazywania informacji pliku dla dowiązania symbolicznego, pokazuje informacje o pliku wskazywanym przez dowiązanie, zamiast o nim samym

-m  wypełnia wpisami, oddzielonymi przecinkami, całą dostępną szerokość

-n, --numeric-uid-gid
    jak -l, ale wypisuje numeryczne identyfikatory użytkownika i grupy

-N, --literal
    print entry names without quoting

-o  jak -l, ale bez informacji o grupie

-p, --indicator-style=slash
    dodaje wskaźnik / do katalogów

-q, --hide-control-chars
    wypisuje ? zamiast znaków niedrukowalnych

--show-control-chars
    pokazuje znaki niedrukowalne bez zmian (domyślnie, chyba że program nazywa się ls, a wyjściem jest terminal)

-Q, --quote-name
    ujmuje nazwy w podwójne cudzysłowy

--quoting-style=SŁOWO
    use quoting style WORD for entry names: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (overrides QUOTING_STYLE environment variable)

-r, --reverse
    odwraca porządek sortowania

-R, --recursive
    wypisuje katalogi rekursywnie

-s, --size
    wypisuje rozmiar zajęty przez każdy plik, w blokach

-S  sortuje według rozmiaru, od największych

--sort=SŁOWO
    sortuje wg SŁOWA zamiast nazwy: none (jak -U), size (-S), time (-t), version (-v), extension (-X)

--time=SŁOWO
    change the default of using modification times; access time (-u): atime, access, use; change time (-c): ctime, status; birth time: birth, creation;

    with -l, WORD determines which time to show; with --sort=time, sort by WORD (newest first)

--time-style=TIME_STYLE
    time/date format with -l; see TIME_STYLE below

-t  sort by time, newest first; see --time

-T, --tabsize=KOLUMNA
    przypisuje tabulatorowi tyle znaków co KOLUMNA, zamiast domyślnych 8

-u
     z -lt: sortuje i wypisuje według czasu ostatniego dostępu,
     z -l: pokazuje czas dostępu i sortuje według nazw,
     w pozostałych przypadkach: sortuje według czasu dostępu, od najnowszych

-U  bez sortowania, wypisuje według kolejności w katalogu

-v  sortuje według liczb (numerów wersji) zawartych w nazwach plików

-w, --width=KOLUMNA
    ustawia szerokość wyjścia na KOLUMNA. 0 oznacza brak limitu

-x  wypisuje nazwy w wierszach, zamiast w kolumnach

-X  sortuje alfabetycznie według rozszerzeń

-Z, --context
    wyświetla kontekst bezpieczeństwa dla każdego pliku

-1  wypisuje po jednym pliku w wierszu. Unikać "\n" z -q lub -b

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10K to 10*1024). Jednostki to: K, M, G, T, P, E, Z, Y (potęgi 1024) lub KB, MB itd. (potęgi 1000). Można używać również przyrostków binarnych, np. KiB=K, MiB=M itd.

The TIME_STYLE argument can be full-iso, long-iso, iso, locale, or +FORMAT. FORMAT is interpreted like in date(1). If FORMAT is FORMAT1<newline>FORMAT2, then FORMAT1 applies to non-recent files and FORMAT2 to recent files. TIME_STYLE prefixed with 'posix-' takes effect only outside the POSIX locale. Also the TIME_STYLE environment variable sets the default style to use.

Używanie kolorów do wyróżnienia typów plików jest wyłączone domyślnie oraz przy podaniu opcji --color=never. Z opcją --color=auto, ls wysyła kolory kodów tylko wtedy, gdy standardowe wyjście jest przyłączone do terminala. Zmienna środowiskowa LS_COLORS może zmieniać te ustawienia. Można ją ustawić przy pomocy polecenia dircolors.

  Kod wyjściowy:

0   OK,

1   przy drobnych problemach (np. brak dostępu do podkatalogu),

2   przy poważnych problemach (np. brak dostępu do podanego argumentu).

AUTOR
Napisane przez Richarda M. Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/ls>
lub lokalnie, za pomocą info '(coreutils) ls invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.